FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202007240519.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202007240519.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=8167bd6 OS_GIT_VERSION=4.5.0-202007240519.p0-8167bd6 SOURCE_DATE_EPOCH=1589555465 SOURCE_GIT_COMMIT=8167bd64e37ba9338787cfc9e9fe24e05ce04154 SOURCE_GIT_TAG=8167bd6 SOURCE_GIT_URL=https://github.com/openshift/must-gather 
WORKDIR /go/src/github.com/openshift/must-gather
COPY . .
ENV GO_PACKAGE github.com/openshift/must-gather

FROM openshift/ose-cli:v4.5.0.20200724.062710
ENV __doozer=update BUILD_RELEASE=202007240519.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202007240519.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=8167bd6 OS_GIT_VERSION=4.5.0-202007240519.p0-8167bd6 SOURCE_DATE_EPOCH=1589555465 SOURCE_GIT_COMMIT=8167bd64e37ba9338787cfc9e9fe24e05ce04154 SOURCE_GIT_TAG=8167bd6 SOURCE_GIT_URL=https://github.com/openshift/must-gather 
COPY --from=builder /go/src/github.com/openshift/must-gather/collection-scripts/* /usr/bin/

LABEL \
        name="openshift/ose-must-gather" \
        com.redhat.component="ose-must-gather-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        release="202007240519.p0" \
        io.openshift.build.commit.id="8167bd64e37ba9338787cfc9e9fe24e05ce04154" \
        io.openshift.build.source-location="https://github.com/openshift/must-gather" \
        io.openshift.build.commit.url="https://github.com/openshift/must-gather/commit/8167bd64e37ba9338787cfc9e9fe24e05ce04154" \
        version="v4.5.0"

